ApiInstallControlPlaneArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiInstallControlPlaneArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiInstallControlPlaneArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiInstallControlPlaneArgs
      extends Object

  Arguments used to install CDP a Private Cloud Control Plane

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiInstallControlPlaneArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiInstallControlPlaneArgs` | `dockerRegistry(String dockerRegistry)`
    `boolean` | `equals(Object o)`
    `String` | `getDockerRegistry()` The url of the Docker Registry where images required for install are hosted.
    `Boolean` | `getIsOverrideAllowed()`
    `String` | `getKubeConfig()` The content of the kubeconfig file of the kubernetes environment on which the install will be performed Simplified example:<br> <br> apiVersion: v1<br> clusters:<br> - cluster:<br> &emsp;&emsp;certificate-authority-data: abc123<br> &emsp;&emsp;server: https://example-server.domain.com:6443<br> &emsp;name: example-cluster.domain.com:6443<br> contexts:<br> - context:<br> &emsp;&emsp;cluster: ocp-cluster1<br> &emsp;&emsp;user: admin<br> &emsp;name: admin<br> current-context: admin<br> kind: Config<br> preferences: {}<br> users:<br> - name: admin<br> &emsp;user:<br> &emsp;&emsp;client-certificate-data: abc123<br> &emsp;&emsp;client-key-data: xyz987<br> <br> For more information on the kubeconfig file, read the documentation <a target=\"_blank\" href=https://docs.cloudera.com/r/cdp-pvc-kubernetes>here</a>.
    `String` | `getKubernetesType()` The kubernetes type (e.g.
    `String` | `getNamespace()` A unique namespace where the control plane will be installed
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the private cloud artifacts to install are hosted
    `String` | `getValuesYaml()` A yaml file containing configuration parameters for the installation.
    `int` | `hashCode()`
    `ApiInstallControlPlaneArgs` | `isOverrideAllowed(Boolean isOverrideAllowed)`
    `ApiInstallControlPlaneArgs` | `kubeConfig(String kubeConfig)`
    `ApiInstallControlPlaneArgs` | `kubernetesType(String kubernetesType)`
    `ApiInstallControlPlaneArgs` | `namespace(String namespace)`
    `ApiInstallControlPlaneArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `void` | `setDockerRegistry(String dockerRegistry)`
    `void` | `setIsOverrideAllowed(Boolean isOverrideAllowed)`
    `void` | `setKubeConfig(String kubeConfig)`
    `void` | `setKubernetesType(String kubernetesType)`
    `void` | `setNamespace(String namespace)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setValuesYaml(String valuesYaml)`
    `String` | `toString()`
    `ApiInstallControlPlaneArgs` | `valuesYaml(String valuesYaml)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiInstallControlPlaneArgs

          public ApiInstallControlPlaneArgs()

  - ### Method Detail

    - #### kubernetesType

          public ApiInstallControlPlaneArgs kubernetesType(String kubernetesType)

    - #### getKubernetesType

          public String getKubernetesType()

      The kubernetes type (e.g. \"openshift\") that the control plane will run on
      Returns:
        kubernetesType

    - #### setKubernetesType

          public void setKubernetesType(String kubernetesType)

    - #### remoteRepoUrl

          public ApiInstallControlPlaneArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the private cloud artifacts to install are hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### valuesYaml

          public ApiInstallControlPlaneArgs valuesYaml(String valuesYaml)

    - #### getValuesYaml

          public String getValuesYaml()

      A yaml file containing configuration parameters for the installation. To see sample values.yaml files, read the documentation <a target=\"_blank\" href=https://docs.cloudera.com/r/cdp-pvc-install-values-yaml>here</a>.
      Returns:
        valuesYaml

    - #### setValuesYaml

          public void setValuesYaml(String valuesYaml)

    - #### kubeConfig

          public ApiInstallControlPlaneArgs kubeConfig(String kubeConfig)

    - #### getKubeConfig

          public String getKubeConfig()

      The content of the kubeconfig file of the kubernetes environment on which the install will be performed Simplified example:<br> <br> apiVersion: v1<br> clusters:<br> - cluster:<br> &emsp;&emsp;certificate-authority-data: abc123<br> &emsp;&emsp;server: https://example-server.domain.com:6443<br> &emsp;name: example-cluster.domain.com:6443<br> contexts:<br> - context:<br> &emsp;&emsp;cluster: ocp-cluster1<br> &emsp;&emsp;user: admin<br> &emsp;name: admin<br> current-context: admin<br> kind: Config<br> preferences: {}<br> users:<br> - name: admin<br> &emsp;user:<br> &emsp;&emsp;client-certificate-data: abc123<br> &emsp;&emsp;client-key-data: xyz987<br> <br> For more information on the kubeconfig file, read the documentation <a target=\"_blank\" href=https://docs.cloudera.com/r/cdp-pvc-kubernetes>here</a>.
      Returns:
        kubeConfig

    - #### setKubeConfig

          public void setKubeConfig(String kubeConfig)

    - #### namespace

          public ApiInstallControlPlaneArgs namespace(String namespace)

    - #### getNamespace

          public String getNamespace()

      A unique namespace where the control plane will be installed
      Returns:
        namespace

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### dockerRegistry

          public ApiInstallControlPlaneArgs dockerRegistry(String dockerRegistry)

    - #### getDockerRegistry

          public String getDockerRegistry()

      The url of the Docker Registry where images required for install are hosted. This fields is deprecated. The docker registry should be provided within the values.yaml configuration file.
      Returns:
        dockerRegistry

    - #### setDockerRegistry

          public void setDockerRegistry(String dockerRegistry)

    - #### isOverrideAllowed

          public ApiInstallControlPlaneArgs isOverrideAllowed(Boolean isOverrideAllowed)

    - #### getIsOverrideAllowed

          public Boolean getIsOverrideAllowed()

      Returns:
        isOverrideAllowed

    - #### setIsOverrideAllowed

          public void setIsOverrideAllowed(Boolean isOverrideAllowed)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.